C                                                            <HTML><PRE>
C Common block /RAMC/ is designed to be included in all programs
C demanding huge amounts of memory, e.g., in programs dealing with
C dense rectangular grids of points.  Assuming no other considerable
C memory requirements of the respective programs, this include file
C enables to approximately adjust the memory requirements of all
C programs for a particular computer at one go.
C
C     INCLUDE 'ram.inc'
C     ------------------------------------------------------------------
      INTEGER MRAM,MINRAM,MAXRAM
      PARAMETER (MRAM=4000000)
      REAL RAM(MRAM)
      COMMON/RAMC/ MINRAM,MAXRAM,RAM
      SAVE  /RAMC/
C     ------------------------------------------------------------------
C
C     For example, MRAM=4000000 requires 15.259 MB of memory, which may
C     be suitable for 16 MB computer if the rest of program together
C     with the operating system does not require more than 759 kB.
C
C     MINRAM, MAXRAM... Variables which are usually undefined and not
C             used.  They are designed in case that the program calls
C             a subroutine which needs to use a part of array RAM.  For
C             example, the subroutine may be called when program starts,
C             allocate subarray RAM(1:MINRAM-1) or RAM(MAXRAM+1:MRAM) or
C             both, and define MINRAM or MAXRAM or both.  The program
C             may then use subarray RAM(MINRAM:MRAM) or RAM(1:MAXRAM)
C             or RAM(MINRAM:MAXRAM) instead of whole array RAM(1:MRAM).
C
C Date: 2000, December 14
C Coded by Ludek Klimes
C
C=======================================================================
C                                                                 </PRE>
